\documentclass[10pt]{article}
\usepackage[usenames]{color} %used for font color
\usepackage{amssymb} %maths
\usepackage{amsmath} %maths
\usepackage[utf8]{inputenc} %useful to type directly diacritic characters
\begin{document}
\begin{align*}y(t) &= \text{AMP} \times \sin{(\omega_c t)} + \text{AMP} \times \frac{I_m}{2} \sin{\left( \omega_c t - \omega_m t + \frac{\pi}{2} \right) } + \text{AMP} \times \frac{I_m}{2} \sin{\left( \omega_c t + \omega_m t - \frac{\pi}{2} \right) }
\end{align*}

\end{document}